Bug 1690680 (CVE-2019-9795) - CVE-2019-9795 Mozilla: Type-confusion in IonMonkey JIT compiler
Summary: CVE-2019-9795 Mozilla: Type-confusion in IonMonkey JIT compiler
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-9795
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1688866 1688867 1688868 1690494 1690495 1690496 1690692 1703888 1703893 1703894
Blocks: 1688735 1690493
TreeView+ depends on / blocked
 
Reported: 2019-03-20 02:14 UTC by Doran Moppert
Modified: 2019-09-29 15:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:51:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0622 None None None 2019-03-20 15:12:01 UTC
Red Hat Product Errata RHSA-2019:0623 None None None 2019-03-20 15:21:52 UTC
Red Hat Product Errata RHSA-2019:0680 None None None 2019-03-28 14:48:21 UTC
Red Hat Product Errata RHSA-2019:0681 None None None 2019-03-28 14:49:43 UTC
Red Hat Product Errata RHSA-2019:0966 None None None 2019-05-07 04:18:06 UTC
Red Hat Product Errata RHSA-2019:1144 None None None 2019-05-13 05:03:29 UTC

Description Doran Moppert 2019-03-20 02:14:45 UTC
A vulnerability where type-confusion in the IonMonkey just-in-time (JIT) compiler could potentially be used by malicious JavaScript to trigger a potentially exploitable crash. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-08/#CVE-2019-9795

Comment 1 Doran Moppert 2019-03-20 02:14:48 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Nils

Comment 3 errata-xmlrpc 2019-03-20 15:12:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0622 https://access.redhat.com/errata/RHSA-2019:0622

Comment 4 errata-xmlrpc 2019-03-20 15:21:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0623 https://access.redhat.com/errata/RHSA-2019:0623

Comment 5 Doran Moppert 2019-03-26 06:23:34 UTC
Statement:

In general, this flaw be exploited through email in the Thunderbird product because scripting is disabled when reading mail, but are potentially risks in browser or browser-like contexts.

Comment 6 errata-xmlrpc 2019-03-28 14:48:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0680 https://access.redhat.com/errata/RHSA-2019:0680

Comment 7 errata-xmlrpc 2019-03-28 14:49:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0681 https://access.redhat.com/errata/RHSA-2019:0681

Comment 9 errata-xmlrpc 2019-05-07 04:18:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:0966 https://access.redhat.com/errata/RHSA-2019:0966

Comment 10 errata-xmlrpc 2019-05-13 05:03:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1144 https://access.redhat.com/errata/RHSA-2019:1144


Note You need to log in before you can comment on or make changes to this bug.